Instalar driver de impresora

Imagen de antolinds
0 puntos

Perdonad mi pésima memoria, no recuerdo cómo hacer para instalar un driver para un ploter. el archivo es hp-designjet_110-cdnj500.ppd.
No encuetro instrucciones en el foro.
Gracias...

Imagen de .doc
+1
0
-1

en Linux lo más sencillo es instalar las impresoras vía CUPS. Lo encuentras muy fácilmente con Google.

+1
0
-1
Imagen de antolinds
+1
-1
-1

Ahí he encontrado este archivo: tazas-2.2rc1-source.tar.gz, pero sigo con las dudas de qué hacer a partir de ahí.
¿Es este archivo el driver de la impresora que busco?

+1
-1
-1
Imagen de .doc
+1
0
-1

Pues no se si es, o no, ese driver, aunque sospecho que no. Cups es mucho más fácil, mira, por ejemplo, aquí
http://comoserdebianitaynomorirenelintento.blogspot.com.es/search?q=+cups

+1
0
-1
Imagen de ilomo
+1
0
-1

Y que tal si miras en hplipopensource.com?
Es la knowledge base de hp para debían y derivadas. Va bastante bien. Buscas tu dispositivo, descargas, instalas y a correr...

+1
0
-1
Imagen de ilomo
+1
0
-1

Efectivamente, tienes tu disositivo en hplip. Sigue las instrucciones y ya te olvidaras de todo.

https://goo.gl/photos/HnxLiKbZDsD8WVRU9

atte,

iLomo

[inline:1]

+1
0
-1
Imagen de antolinds
+1
0
-1

Parece que lo he encontrado en hplipopensource.com, solo que con otro ordenador del que quiero instalarla, así que ya diré cómo ha ido el asunto.
Ya que estamos en eso, y perdón por si no es el camino para hacerlo, ¿existe una fórmula parecida para una impresora Canon lbp 800 que siempre he usado en windows, pero ahora el fabricante (y Micrisoft) han hecho imposuble seguir utilizándola en ese SO. Con las ganas de manderles a paseo que tengo, sería una maravilla poderla usarla en linux (en mi caso Xubuntu). Gracias por todo y lo dicho, ya diré cómo ha ido la instalación.

+1
0
-1
Imagen de ilomo
+1
0
-1

Al menos desde la pagina oficial de Canon no vas a conseguir nada: ese dispositivo no tiene soporte para linux...
a ver si algun otro te puede echar un cable

http://www.canon-europe.com/support/consumer_products/products/printers/...(32-bit)

Edito: si te compras algun periferico, primero comprueba que tenga soporte para Linux; en ese sentido Hp funciona de pelotas...

Atte,

iLomo

+1
0
-1
Imagen de Gabriel_M
+1
0
-1

Primero en la BIOS del ordenador verifica que:
El puerto paralelo este: - enabled.
El modo del puerto sea: - EPP
Que la I/O Address sea: - 378
Que el IRQ sea: - 7
Una vez configurado esto, inicia el ordenador y:
Abre una terminal, y estando conectado a internet ejecuta en ella:

cd ~
mkdir lbp800
cd lbp800
wget https://github.com/aleksejleonov/lbp800_linux/archive/0.1.9.tar.gz
tar zxf 0.1.9.tar.gz
cd lbp800_linux-0.1.9
sudo apt-get update
sudo apt-get install build-essential  libcups2-dev 
sudo apt-get purge libsane-hpaio
cd ~/lbp800/lbp800_linux-0.1.9
make
sudo make install
sudo nano /etc/modules
Añade al final del archivo que se abre la línea: parport_pc
sudo usermod -a -G lp tu-nombre-de-usuario
sudo reboot

Al reiniciar el ordenador, abre una terminal y ejecuta:

sudo cat /proc/sys/dev/parport/parport*/autoprobe*
Este comando debe dar una salida similar a esta:
##
# You should get:
##
# CLASS:PRINTER;
# MODEL:LBP-800;
# MANUFACTURER:Canon;
# DESCRIPTION:Canon LBP-800;
# COMMAND SET:CAPT;

sudo /usr/lib/cups/backend/parallel
Este comando debe dar una salida similar a esta:

##
# You should get:
##
# direct parallel:/dev/lp0 "Canon LBP-800" "Canon LBP-800 LPT #1"
# "MFG:Canon;MDL:LBP-800;CMD:CAPT;VER:1.0;CLS:PRINTER;DES:Canon LBP-800" ""

Instala ahora la impresora:
Abre: Sistema - configuración - Impresoras
Canon LBP800 debe aparecer en la lista, instalala.
Si no aparece en la lista, elige añadir de URI y selecciona:
URI: parcapt:/dev/parport0
Cuando pregunte por el driver busca Canon en la lista, elige LBP800 como modelo o elige archivo PPD y buscalo en el directorio: ~/lbp800/lbp800_linux-0.1.9

Agradecimientos a la fuente y soporte: https://aleksejleonov.github.io/lbp800_linux/

+1
0
-1
Imagen de antolinds
+1
0
-1

Parece que la cosa no funciona. En la lista de modelos no aparece la mía, cuando utilizo el PPD me da un error: sea ha producido un error en CUPS durante la operación: "client-error-not-possible".
Todo esto me resulta difícil de entender porque hace muchos años, cuando instalé un Linux SUSE en un portátil, la impresora funcionó, o sea que un driver debe haber por ahí, pero dónde...
Seguiré intentándolo, no estoy dispuesto a tirar esa máquina.
Gracias a todos.

+1
0
-1